# Update an employee's information **PATCH /employers/{employer_id}/employees/{employee_id}** Update an employee's information. This can be used to mark them as a leaver. Note that once marked as a leaver the employee record will no longer be accessible under the employer. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Path parameters - **employer_id** (string) - **employee_id** (string) ### Body: application/json (object) Employee update data. - **exit_date** (string(date)) Date employee's employment ended, in YYYY-MM-DD format. ## Responses ### 204 Successfully updated the employee's information ### 400 Bad request, the request is malformed or contains invalid data. #### Body: application/json (object) - **error** (string) A descriptive error message. - **validation_errors** (array[object]) ### 401 Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 Employee or employer not found, the specified employee_id or employer_id does not match any existing records. #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)